FC=@FC@
CC=@CC@
LIBS   = @LIBS@
LPATH =  @LPATH@
OPTFLAGS=@OPTFLAGS@
BINARY= @BINARY@
BINTEST= @BINTEST@
PREFIX=@prefix@
BINDIR= @prefix@/bin
IDLSODIR=@prefix@/idl.so
MAKECMD=@MAKECMD@
#INCFLAGS='-Ibase -Impiuts @MPIFCFLAGS@ @DEBUGSYMS@ @PROFSYMS@ @MPIDEF@'

AR	      = ar
RANLIB    = @RANLIB@

PRGOBJ =  fortran/src/*.o
IDLSO  =  fortran/src/*.so


SUBDIRS = fortran/odrpack fortran/src


all: $(MAKECMD)

gitver:
	.githooks/git-create-revisioninfo-hook.sh

libs:
	@list='$(SUBDIRS)' ; for subdir in $$list ; do $(MAKE) all -C $$subdir; done

clean:
	@list='$(SUBDIRS)' ; for subdir in $$list ; do $(MAKE) clean -C $$subdir; done
	rm -f helix *.o *.mod *.a *~

distclean: clean
	@list='$(SUBDIRS)' ; for subdir in $$list ; do $(MAKE) distclean -C $$subdir; done
	rm -f *.a *~
	rm -rf autom4te.cache configure.log config.h config.log config.status
	rm -f Makefile

helix: gitver libs mpitest
	rm -f fortran/src/mpitest.o
	$(FC) -o $(BINARY) $(PRGOBJ)  $(LPATH)  $(LIBS)

mpitest:
	cd fortran/src ; make mpitest.o 
	$(FC) -o $(BINTEST) fortran/src/mpitest.o $(LPATH)  $(LIBS)
	rm -f fortran/src/mpitest.o

idlso: libs

install:
	$(MAKE) install.$(MAKECMD)

install.helix:
	mkdir -p $(BINDIR)
	mv  $(BINARY) $(BINDIR)
	mv  $(BINTEST) $(BINDIR)
	ln -sf $(BINDIR)/$(BINARY) $(BINDIR)/helix

install.idlso:
	mkdir -p $(IDLSODIR)
	mv  $(IDLSO) $(IDLSODIR)

manual:
	cd docu ; $(MAKE)
	cp -p docu/helix.pdf $(PREFIX)

